Bug 728488 - aria2c exited with exit code: -6 (packageKit)
Summary: aria2c exited with exit code: -6 (packageKit)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: aria2
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 10:41 UTC by edo
Modified: 2011-08-15 14:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-15 14:51:38 UTC


Attachments (Terms of Use)

Description edo 2011-08-05 10:41:05 UTC
Description of problem:

Internal error of system (the update viewer).

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2454, in _runYumTransaction
    rpmDisplay=rpmDisplay)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4748, in processTransaction
    pkgs = self._downloadPackages(callback)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4772, in _downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1869, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 184, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 184, in predownload_hook
    downloadQueuedFiles(inputFileName)
  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 97, in downloadQueuedFiles
    "{0} exited with exit code: {1}".format(downloader_app, ret))
PluginYumExit: aria2c exited with exit code: -6


Version-Release number of selected component (if applicable):PackageKit 0.6.17-1.fc15 (x6_64)


How reproducible:

Always.
Starting Update viewer error seeing. Using yumex also get this error.

Steps to Reproduce:
1.start update viewer
2.internal system error
3.exit update viever
  
Actual results:
cannot make update
Expected results:
make update

Additional info:

Comment 1 Steven Dake 2011-08-05 16:30:34 UTC
what does this have to do with pacemaker-cloud?  Was this filed under the wrong component?

thanks
-stee

Comment 2 edo 2011-08-09 06:14:31 UTC
(In reply to comment #1)
> what does this have to do with pacemaker-cloud?  Was this filed under the wrong
> component?
> 
> thanks
> -stee

Sorry ....

Comment 3 Rahul Sundaram 2011-08-15 14:51:38 UTC
This is a issue with a third party yum plugin and not aria2.  You can post comments to 

https://hedayatvk.wordpress.com/2011/05/11/introducing-yum-fast-downloader-plugin/


Note You need to log in before you can comment on or make changes to this bug.